# SteeringManifest.UriReplacement

Artifact: [androidx.media3:media3-exoplayer](https://developer.android.com/jetpack/androidx/releases/media3) [View Source](https://cs.android.com/search?q=file:androidx/media3/exoplayer/upstream/contentsteering/SteeringManifest.java+class:androidx.media3.exoplayer.upstream.contentsteering.SteeringManifest.UriReplacement)

*** ** * ** ***

<br />

```
class SteeringManifest.UriReplacement
```

<br />

*** ** * ** ***

Represents a definition of URI modifications to apply during the pathway cloning process.

## Summary

| ### Public constructors |
|---|
| `https://developer.android.com/reference/kotlin/androidx/media3/exoplayer/upstream/contentsteering/SteeringManifest.UriReplacement#UriReplacement(java.lang.String,java.util.Map<java.lang.String,java.lang.String>,java.util.Map<java.lang.String,android.net.Uri>,java.util.Map<java.lang.String,android.net.Uri>)( host: https://kotlinlang.org/api/core/kotlin-stdlib/kotlin/-string/index.html?, params: (https://kotlinlang.org/api/core/kotlin-stdlib/kotlin.collections/-mutable-map/index.html)https://kotlinlang.org/api/core/kotlin-stdlib/kotlin.collections/-map/index.html<https://kotlinlang.org/api/core/kotlin-stdlib/kotlin/-string/index.html!, https://kotlinlang.org/api/core/kotlin-stdlib/kotlin/-string/index.html!>!, perVariantUris: (https://kotlinlang.org/api/core/kotlin-stdlib/kotlin.collections/-mutable-map/index.html)https://kotlinlang.org/api/core/kotlin-stdlib/kotlin.collections/-map/index.html<https://kotlinlang.org/api/core/kotlin-stdlib/kotlin/-string/index.html!, https://developer.android.com/reference/android/net/Uri.html!>!, perRenditionUris: (https://kotlinlang.org/api/core/kotlin-stdlib/kotlin.collections/-mutable-map/index.html)https://kotlinlang.org/api/core/kotlin-stdlib/kotlin.collections/-map/index.html<https://kotlinlang.org/api/core/kotlin-stdlib/kotlin/-string/index.html!, https://developer.android.com/reference/android/net/Uri.html!>! )` Constructs an instance. |

| ### Public functions |
|---|---|
| `https://kotlinlang.org/api/core/kotlin-stdlib/kotlin/-boolean/index.html` | `https://developer.android.com/reference/kotlin/androidx/media3/exoplayer/upstream/contentsteering/SteeringManifest.UriReplacement#equals(java.lang.Object)(o: https://kotlinlang.org/api/core/kotlin-stdlib/kotlin/-any/index.html?)` |
| `https://kotlinlang.org/api/core/kotlin-stdlib/kotlin/-int/index.html` | `https://developer.android.com/reference/kotlin/androidx/media3/exoplayer/upstream/contentsteering/SteeringManifest.UriReplacement#hashCode()()` |

| ### Public properties |
|---|---|
| `https://kotlinlang.org/api/core/kotlin-stdlib/kotlin/-string/index.html?` | `https://developer.android.com/reference/kotlin/androidx/media3/exoplayer/upstream/contentsteering/SteeringManifest.UriReplacement#host()` The hostname for cloned URIs. |
| `https://guava.dev/releases/snapshot-android/api/docs/com/google/common/collect/ImmutableMap.html<https://kotlinlang.org/api/core/kotlin-stdlib/kotlin/-string/index.html!, https://kotlinlang.org/api/core/kotlin-stdlib/kotlin/-string/index.html!>!` | `https://developer.android.com/reference/kotlin/androidx/media3/exoplayer/upstream/contentsteering/SteeringManifest.UriReplacement#params()` The query parameters for cloned URIs. |
| `https://guava.dev/releases/snapshot-android/api/docs/com/google/common/collect/ImmutableMap.html<https://kotlinlang.org/api/core/kotlin-stdlib/kotlin/-string/index.html!, https://developer.android.com/reference/android/net/Uri.html!>!` | `https://developer.android.com/reference/kotlin/androidx/media3/exoplayer/upstream/contentsteering/SteeringManifest.UriReplacement#perRenditionUris()` The URI overrides per rendition stream. |
| `https://guava.dev/releases/snapshot-android/api/docs/com/google/common/collect/ImmutableMap.html<https://kotlinlang.org/api/core/kotlin-stdlib/kotlin/-string/index.html!, https://developer.android.com/reference/android/net/Uri.html!>!` | `https://developer.android.com/reference/kotlin/androidx/media3/exoplayer/upstream/contentsteering/SteeringManifest.UriReplacement#perVariantUris()` The URI overrides per variant stream. |

## Public constructors

### UriReplacement

```
UriReplacement(
    host: String?,
    params: (Mutable)Map<String!, String!>!,
    perVariantUris: (Mutable)Map<String!, Uri!>!,
    perRenditionUris: (Mutable)Map<String!, Uri!>!
)
```

Constructs an instance.

| Parameters |
|---|---|
| `host: https://kotlinlang.org/api/core/kotlin-stdlib/kotlin/-string/index.html?` | See `https://developer.android.com/reference/kotlin/androidx/media3/exoplayer/upstream/contentsteering/SteeringManifest.UriReplacement#host()`. |
| `params: (https://kotlinlang.org/api/core/kotlin-stdlib/kotlin.collections/-mutable-map/index.html)https://kotlinlang.org/api/core/kotlin-stdlib/kotlin.collections/-map/index.html<https://kotlinlang.org/api/core/kotlin-stdlib/kotlin/-string/index.html!, https://kotlinlang.org/api/core/kotlin-stdlib/kotlin/-string/index.html!>!` | See `https://developer.android.com/reference/kotlin/androidx/media3/exoplayer/upstream/contentsteering/SteeringManifest.UriReplacement#params()`. |
| `perVariantUris: (https://kotlinlang.org/api/core/kotlin-stdlib/kotlin.collections/-mutable-map/index.html)https://kotlinlang.org/api/core/kotlin-stdlib/kotlin.collections/-map/index.html<https://kotlinlang.org/api/core/kotlin-stdlib/kotlin/-string/index.html!, https://developer.android.com/reference/android/net/Uri.html!>!` | See `https://developer.android.com/reference/kotlin/androidx/media3/exoplayer/upstream/contentsteering/SteeringManifest.UriReplacement#perVariantUris()` |
| `perRenditionUris: (https://kotlinlang.org/api/core/kotlin-stdlib/kotlin.collections/-mutable-map/index.html)https://kotlinlang.org/api/core/kotlin-stdlib/kotlin.collections/-map/index.html<https://kotlinlang.org/api/core/kotlin-stdlib/kotlin/-string/index.html!, https://developer.android.com/reference/android/net/Uri.html!>!` | See `https://developer.android.com/reference/kotlin/androidx/media3/exoplayer/upstream/contentsteering/SteeringManifest.UriReplacement#perRenditionUris()` |

## Public functions

### equals

```
fun equals(o: Any?): Boolean
```

### hashCode

```
fun hashCode(): Int
```

## Public properties

### host

```
val host: String?
```

The hostname for cloned URIs. Null if not present.

### params

```
val params: ImmutableMap<String!, String!>!
```

The query parameters for cloned URIs. The keys represent query parameter names, and the values correspond to the associated parameter values.

### perRenditionUris

```
val perRenditionUris: ImmutableMap<String!, Uri!>!
```

The URI overrides per rendition stream. The keys are STABLE-RENDITION-ID strings declared in the HLS multivariant playlist.

This field is used for HLS only, and is ignored by DASH.

### perVariantUris

```
val perVariantUris: ImmutableMap<String!, Uri!>!
```

The URI overrides per variant stream. The keys are STABLE-VARIANT-ID strings declared in the HLS multivariant playlist.

This field is used for HLS only, and is ignored by DASH.